EMS transport libraries

You need certain TIBCO EMS libraries to allow HCL OneTest™ API to work with TIBCO EMS.

Depending on the version of TIBCO EMS in use, specific product libraries are required. The following table describes the libraries that are required along with their default location for Windows systems.

EMS Version Library Default Location for Windows systems
TIBCO EMS 4.x and 5.0
  • tibjms.jar
  • tibjmsadmin.jar
  • tibrvjms.jar
  • c:\tibco\ems\clients\java
  • c:\tibco\ems\5.0\lib
TIBCO EMS 6.0, 7.0, and 8.x
  • tibjms.jar
  • tibjmsadmin.jar
  • tibrvjms.jar
  • tibcrypt.jar
  • slf4j-api-1.4.2.jar
  • slf4j-simple-1.4.2.jar
  • c:\tibco\ems\6.0\lib
  • c:\tibco\ems\7.0\lib
  • c:\tibco\ems\8.x\lib
Note: Default locations for the specified libraries can be modified by using Library Manager. For more information, see Working with the Library Manager.
Feedback